const docx = require("docx@5.0.2")
const express = require("@runkit/runkit/express-endpoint/1.0.0");
const app = express(exports);

const { Document, Packer, Paragraph, TextRun } = docx;

app.get("/", async (req, res) => {
    const doc = new Document();

    doc.addSection({
        properties: {},
        children: [
            new Paragraph({
                children: [
                    new TextRun("Hello World"),
                    new TextRun({
                        text: "Foo Bar",
                        bold: true,
                    }),
                    new TextRun({
                        text: "\tGithub is the best",
                        bold: true,
                    }),
                ],
            }),
        ],
    });

    const b64string = await Packer.toBase64String(doc);
    
    res.setHeader('Content-Disposition', 'attachment; filename=My Document.docx');
    res.send(Buffer.from(b64string, 'base64'));
});
